# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST


**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-

**请求样例:**
```

{
    "loginName":"zhang3",
    "password":"123456",
    "securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
    "msg":"登录成功",
    "code":1,
    "data":{

    }
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 用户信息业务

### 查询用户信息业务列表

**请求URL:** user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户信息业务

**请求URL:** user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|用户ID，主键，自增长
&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;realName|String|用户名
&emsp;mobile|String|用户手机号
&emsp;phone|String|用户联系电话
&emsp;email|String|用户邮箱
&emsp;qq|String|QQ号码
&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;lastLoginAddress|String|最后一次登录地址
dict|object|字典对象
&emsp;userType|object|字典属性对象，详见附录
&emsp;status|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":465,
            "loginName":"nvbhsg",
            "loginPwd":"rg5k2g",
            "loginLimitAddress":"gu87p4",
            "realName":"epll4d",
            "mobile":"7hgrvk",
            "phone":"mrd0cm",
            "email":"83hlrj",
            "qq":"296aa1",
            "userType":5537,
            "siteIds":"2s8dzm",
            "status":1817,
            "customerId":7725,
            "createTime":"2022-06-01",
            "createUserId":9017,
            "createUserName":"7ww5wz",
            "lastLoginTime":"2022-06-01",
            "lastLoginAddress":"b3iswe"
        }
}
```

### 保存更新用户信息业务

**请求URL:** user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
loginName|String|是|登录名
loginPwd|String|是|登录密码
loginLimitAddress|String|是|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
realName|String|是|用户名
mobile|String|是|用户手机号
phone|String|是|用户联系电话
email|String|是|用户邮箱
qq|String|是|QQ号码
userType|Integer|是|用户类型(0.系统用户,1.普通用户,2.工作人员)
siteIds|String|是|所属站点id,多个逗号分隔
status|Integer|是|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
createUserName|String|是|创建用户名称
lastLoginTime|Date|是|最后一次登录时间
lastLoginAddress|String|是|最后一次登录地址

**请求样例:**
```
{
    "loginName":"bkvanw",
    "loginPwd":"91cpes",
    "loginLimitAddress":"ksgpqx",
    "realName":"m1r0zk",
    "mobile":"fnb6mx",
    "phone":"wajgl7",
    "email":"lgagpk",
    "qq":"dwnbpe",
    "userType":987,
    "siteIds":"vfon7y",
    "status":8832,
    "createUserName":"ktzh0r",
    "lastLoginTime":"2022-06-01",
    "lastLoginAddress":"a4vq7h"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|用户ID，主键，自增长
&emsp;&emsp;loginLimitAddress|String|登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
&emsp;&emsp;realName|String|用户名
&emsp;&emsp;mobile|String|用户手机号
&emsp;&emsp;phone|String|用户联系电话
&emsp;&emsp;email|String|用户邮箱
&emsp;&emsp;qq|String|QQ号码
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.普通用户,2.工作人员)
&emsp;&emsp;siteIds|String|所属站点id,多个逗号分隔
&emsp;&emsp;status|Integer|用户状态(0.停用，1.正常，2.冻结，3.销户，4.离职)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;lastLoginTime|Date|最后一次登录时间
&emsp;&emsp;lastLoginAddress|String|最后一次登录地址

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户信息业务

**请求URL:** user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 参数信息业务

### 查询参数信息业务列表

**请求URL:** param/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询参数信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;validStatus|object|字典属性对象，详见附录
&emsp;modStatus|object|字典属性对象，详见附录
&emsp;displayType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看参数信息业务

**请求URL:** param/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看参数信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/param/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|参数名称
&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;paramKey|String|参数键，全局唯一
&emsp;paramValue|String|参数值
&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;remark|String|备注
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;validStatus|object|字典属性对象，详见附录
&emsp;modStatus|object|字典属性对象，详见附录
&emsp;displayType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7708,
            "name":"xa3ggs",
            "firstOrganize":"7xbsm4",
            "secondOrganize":"i9pwyh",
            "paramKey":"1vkyjx",
            "paramValue":"25am76",
            "validStatus":9460,
            "modStatus":7112,
            "displayType":727,
            "remark":"5ahorh",
            "createTime":"2022-06-01",
            "createUserId":2062,
            "createUserName":"5uyu03"
        }
}
```

### 保存更新参数信息业务

**请求URL:** param/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新参数信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|参数名称
firstOrganize|String|是|一级组织，如：平台配置
secondOrganize|String|是|二级组织，如：基础配置
paramKey|String|是|参数键，全局唯一
paramValue|String|是|参数值
validStatus|Integer|是|参数有效状态，(0.禁用，1.启用)
modStatus|Integer|是|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
displayType|Integer|是|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
remark|String|是|备注
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"im4hre",
    "firstOrganize":"w6c1r0",
    "secondOrganize":"k22ro6",
    "paramKey":"c0w8jb",
    "paramValue":"0w0qsz",
    "validStatus":9030,
    "modStatus":6190,
    "displayType":146,
    "remark":"dz5o3d",
    "createUserName":"gzc4v4"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|参数名称
&emsp;&emsp;firstOrganize|String|一级组织，如：平台配置
&emsp;&emsp;secondOrganize|String|二级组织，如：基础配置
&emsp;&emsp;paramKey|String|参数键，全局唯一
&emsp;&emsp;paramValue|String|参数值
&emsp;&emsp;validStatus|Integer|参数有效状态，(0.禁用，1.启用)
&emsp;&emsp;modStatus|Integer|参数修改状态(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)
&emsp;&emsp;displayType|Integer|展现类型(0.普通文本框，1.多行文本框，2.开关，3.块输入框)
&emsp;&emsp;remark|String|备注
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除参数信息业务

**请求URL:** param/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除参数信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/param/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 资源信息业务

### 查询资源信息业务列表

**请求URL:** resource/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询资源信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
&emsp;&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)
dict|object|字典对象
&emsp;authType|object|字典属性对象，详见附录
&emsp;sourceType|object|字典属性对象，详见附录
&emsp;userType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看资源信息业务

**请求URL:** resource/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看资源信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/resource/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|名称
&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)
dict|object|字典对象
&emsp;authType|object|字典属性对象，详见附录
&emsp;sourceType|object|字典属性对象，详见附录
&emsp;userType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":147,
            "name":"17hbey",
            "url":"58e3h9",
            "authType":3805,
            "sourceType":7062,
            "createTime":"2022-06-01",
            "createUserId":0,
            "createUserName":"xit18z",
            "userType":2361
        }
}
```

### 保存更新资源信息业务

**请求URL:** resource/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新资源信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|名称
url|String|是|连接地址，多个地址以逗号分隔
authType|Integer|是|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
sourceType|Integer|是|资源类型(0.系统资源，1.开放资源)
createUserName|String|是|创建用户名称
userType|Integer|是|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)

**请求样例:**
```
{
    "name":"fo99cz",
    "url":"mwgj88",
    "authType":5428,
    "sourceType":2467,
    "createUserName":"4fhmwx",
    "userType":1368
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|名称
&emsp;&emsp;url|String|连接地址，多个地址以逗号分隔
&emsp;&emsp;authType|Integer|权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
&emsp;&emsp;sourceType|Integer|资源类型(0.系统资源，1.开放资源)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
&emsp;&emsp;userType|Integer|用户类型(0.系统用户,1.代理商用户,2.品牌商用户)

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除资源信息业务

**请求URL:** resource/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除资源信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/resource/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色信息业务

### 查询角色信息业务列表

**请求URL:** role/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;roleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色信息业务

**请求URL:** role/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|角色名称
&emsp;remark|String|备注
&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;roleType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":343,
            "name":"zdacj1",
            "remark":"4kqidw",
            "roleType":346,
            "createTime":"2022-06-01",
            "createUserId":5027,
            "createUserName":"gsxewv"
        }
}
```

### 保存更新角色信息业务

**请求URL:** role/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|角色名称
remark|String|是|备注
roleType|Integer|是|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"2smryz",
    "remark":"n1mc0s",
    "roleType":3959,
    "createUserName":"63ehb4"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|角色名称
&emsp;&emsp;remark|String|备注
&emsp;&emsp;roleType|Integer|角色类型(0.系统内置角色，1.默认系统角色，2.普通角色)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色信息业务

**请求URL:** role/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色资源权限业务

### 查询角色资源权限业务列表

**请求URL:** role/auth/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色资源权限业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色资源权限业务

**请求URL:** role/auth/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色资源权限业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/auth/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;resourceId|Long|资源ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":2261,
            "roleId":262,
            "resourceId":8608
        }
}
```

### 保存更新角色资源权限业务

**请求URL:** role/auth/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色资源权限业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|是|角色ID
resourceId|Long|是|资源ID

**请求样例:**
```
{
    "roleId":3780,
    "resourceId":2309
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;resourceId|Long|资源ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色资源权限业务

**请求URL:** role/auth/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色资源权限业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/auth/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 角色用户业务

### 查询角色用户业务列表

**请求URL:** role/user/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询角色用户业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看角色用户业务

**请求URL:** role/user/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看角色用户业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/role/user/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;roleId|Long|角色ID
&emsp;userId|Long|用户ID
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":8035,
            "roleId":7677,
            "userId":4964
        }
}
```

### 保存更新角色用户业务

**请求URL:** role/user/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新角色用户业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
roleId|Long|是|角色ID
userId|Long|是|用户ID

**请求样例:**
```
{
    "roleId":6997,
    "userId":4499
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;roleId|Long|角色ID
&emsp;&emsp;userId|Long|用户ID

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除角色用户业务

**请求URL:** role/user/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除角色用户业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/role/user/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 任务信息业务

### 查询任务信息业务列表

**请求URL:** task/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询任务信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;excuteStrategy|object|字典属性对象，详见附录
&emsp;interimExcuteStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看任务信息业务

**请求URL:** task/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看任务信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/task/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;name|String|任务名称
&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;excuteService|String|任务执行服务
&emsp;excuteParam|String|任务执行参数
&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;remark|String|备注
&emsp;lastExcuteHost|String|最后执行主机
&emsp;lastExcuteTime|Date|最后执行时间
&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;excuteStrategy|object|字典属性对象，详见附录
&emsp;interimExcuteStatus|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9690,
            "name":"jx0zum",
            "taskKey":"ag8pod",
            "status":2458,
            "excuteService":"7dtpvu",
            "excuteParam":"3eztll",
            "excuteHost":"zwy0io",
            "excuteStrategy":2549,
            "excuteDate":1255,
            "excuteTime":"xm0e7b",
            "remark":"7mu3v0",
            "lastExcuteHost":"yyzs7b",
            "lastExcuteTime":"2022-06-01",
            "interimExcuteStatus":6206,
            "createTime":"2022-06-01",
            "createUserId":8675,
            "createUserName":"p5bbvb"
        }
}
```

### 保存更新任务信息业务

**请求URL:** task/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新任务信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|任务名称
taskKey|String|是|任务关键字，区分任务执行流程
status|Integer|是|任务状态，(0,未启动，1.执行中)
excuteService|String|是|任务执行服务
excuteParam|String|是|任务执行参数
excuteHost|String|是|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
excuteStrategy|Integer|是|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
excuteDate|Long|是|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
excuteTime|String|是|执行时间，格式：HH:mm，
remark|String|是|备注
lastExcuteHost|String|是|最后执行主机
lastExcuteTime|Date|是|最后执行时间
interimExcuteStatus|Integer|是|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"opdgwz",
    "taskKey":"hqxqfb",
    "status":8986,
    "excuteService":"rdxj6g",
    "excuteParam":"q2qd9j",
    "excuteHost":"ztbivi",
    "excuteStrategy":7802,
    "excuteDate":9812,
    "excuteTime":"ct807n",
    "remark":"eje2pu",
    "lastExcuteHost":"5z6uk9",
    "lastExcuteTime":"2022-06-01",
    "interimExcuteStatus":4560,
    "createUserName":"gmbxot"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;name|String|任务名称
&emsp;&emsp;taskKey|String|任务关键字，区分任务执行流程
&emsp;&emsp;status|Integer|任务状态，(0,未启动，1.执行中)
&emsp;&emsp;excuteService|String|任务执行服务
&emsp;&emsp;excuteParam|String|任务执行参数
&emsp;&emsp;excuteHost|String|任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔
&emsp;&emsp;excuteStrategy|Integer|执行策略(1.按日，2.按周，3.按月，4.按间隔时间)
&emsp;&emsp;excuteDate|Long|执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；
&emsp;&emsp;excuteTime|String|执行时间，格式：HH:mm，
&emsp;&emsp;remark|String|备注
&emsp;&emsp;lastExcuteHost|String|最后执行主机
&emsp;&emsp;lastExcuteTime|Date|最后执行时间
&emsp;&emsp;interimExcuteStatus|Integer|临时执行状态，(0.未启用，1.立即执行并保留，2.立即执行并删除)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除任务信息业务

**请求URL:** task/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除任务信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/task/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 上传文件业务

### 查询上传文件业务列表

**请求URL:** uploadfile/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询上传文件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|ID，主键，自增长
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUser|String|创建用户
dict|object|字典对象
&emsp;fileType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看上传文件业务

**请求URL:** uploadfile/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看上传文件业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/uploadfile/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|ID，主键，自增长
&emsp;fileName|String|文件名称
&emsp;filePath|String|文件路径
&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;createTime|Date|创建时间
&emsp;createUser|String|创建用户
dict|object|字典对象
&emsp;fileType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":155,
            "fileName":"ykfckx",
            "filePath":"djrjeh",
            "fileType":2682,
            "createTime":"2022-06-01",
            "createUser":"5b6gwd"
        }
}
```

### 保存更新上传文件业务

**请求URL:** uploadfile/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新上传文件业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
fileName|String|是|文件名称
filePath|String|是|文件路径
fileType|Integer|是|文件类型，(1.excel ,2. img,3.zip, 4.pdf)

**请求样例:**
```
{
    "fileName":"cnc7a8",
    "filePath":"rly6g1",
    "fileType":6122,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|ID，主键，自增长
&emsp;&emsp;fileName|String|文件名称
&emsp;&emsp;filePath|String|文件路径
&emsp;&emsp;fileType|Integer|文件类型，(1.excel ,2. img,3.zip, 4.pdf)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUser|String|创建用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除上传文件业务

**请求URL:** uploadfile/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除上传文件业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/uploadfile/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## API服务

### 查询API服务列表

**请求URL:** system/service/api/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;apiName|String|API接口名称
&emsp;&emsp;apiUrl|String|API接口（链接）
&emsp;&emsp;apiVersion|String|API接口版本
&emsp;&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;apiRemark|String|API接口说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看API服务

**请求URL:** system/service/api/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/system/service/api/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|系统API的ID，主键，自增长
&emsp;systemServiceName|String|模块名称
&emsp;systemServiceCode|String|模块编码
&emsp;systemServiceUrl|String|模块地址
&emsp;apiName|String|API接口名称
&emsp;apiUrl|String|API接口（链接）
&emsp;apiVersion|String|API接口版本
&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;createTime|Date|创建时间
&emsp;lapseTime|Date|失效时间
&emsp;apiRemark|String|API接口说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4237,
            "systemServiceName":"y60cdw",
            "systemServiceCode":"1kg0qp",
            "systemServiceUrl":"l0arw8",
            "apiName":"wbdz7k",
            "apiUrl":"vnenf9",
            "apiVersion":"b2dfea",
            "apiStatus":4494,
            "createTime":"2022-06-01",
            "lapseTime":"2022-06-01",
            "apiRemark":"alma0r"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/api/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
systemServiceName|String|是|模块名称
systemServiceCode|String|是|模块编码
systemServiceUrl|String|是|模块地址
apiName|String|是|API接口名称
apiUrl|String|是|API接口（链接）
apiVersion|String|是|API接口版本
apiStatus|Integer|是|API接口状态(1:启用,0:停用)
lapseTime|Date|是|失效时间
apiRemark|String|是|API接口说明

**请求样例:**
```
{
    "systemServiceName":"796zco",
    "systemServiceCode":"c0ex6p",
    "systemServiceUrl":"rhsrmh",
    "apiName":"2puxgm",
    "apiUrl":"bsl9ul",
    "apiVersion":"mqn419",
    "apiStatus":6246,
    "lapseTime":"2022-06-01",
    "apiRemark":"3obfab"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;apiName|String|API接口名称
&emsp;&emsp;apiUrl|String|API接口（链接）
&emsp;&emsp;apiVersion|String|API接口版本
&emsp;&emsp;apiStatus|Integer|API接口状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;apiRemark|String|API接口说明

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除API服务

**请求URL:** system/service/api/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/system/service/api/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## API服务

### 查询API服务列表

**请求URL:** system/service/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;packageName|String|包名称
&emsp;&emsp;packagePath|String|包的下载路径
&emsp;&emsp;packageVersion|String|包的版本
&emsp;&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;packageRemark|String|包的说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看API服务

**请求URL:** system/service/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看API服务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/system/service/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|系统API的ID，主键，自增长
&emsp;systemServiceName|String|模块名称
&emsp;systemServiceCode|String|模块编码
&emsp;systemServiceUrl|String|模块地址
&emsp;packageName|String|包名称
&emsp;packagePath|String|包的下载路径
&emsp;packageVersion|String|包的版本
&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;createTime|Date|创建时间
&emsp;lapseTime|Date|失效时间
&emsp;packageRemark|String|包的说明
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":258,
            "systemServiceName":"pfmgr5",
            "systemServiceCode":"cix1d9",
            "systemServiceUrl":"vfq4n9",
            "packageName":"ewfqr5",
            "packagePath":"m4mm8f",
            "packageVersion":"56i99k",
            "apiStatus":738,
            "createTime":"2022-06-01",
            "lapseTime":"2022-06-01",
            "packageRemark":"1lqyef"
        }
}
```

### 保存更新API服务

**请求URL:** system/service/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新API服务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
systemServiceName|String|是|模块名称
systemServiceCode|String|是|模块编码
systemServiceUrl|String|是|模块地址
packageName|String|是|包名称
packagePath|String|是|包的下载路径
packageVersion|String|是|包的版本
apiStatus|Integer|是|包的状态(1:启用,0:停用)
lapseTime|Date|是|失效时间
packageRemark|String|是|包的说明

**请求样例:**
```
{
    "systemServiceName":"f09zrr",
    "systemServiceCode":"8vl5mf",
    "systemServiceUrl":"p8g9us",
    "packageName":"w8l85q",
    "packagePath":"wh8v9v",
    "packageVersion":"ibm08k",
    "apiStatus":7037,
    "lapseTime":"2022-06-01",
    "packageRemark":"b70dfs"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|系统API的ID，主键，自增长
&emsp;&emsp;systemServiceName|String|模块名称
&emsp;&emsp;systemServiceCode|String|模块编码
&emsp;&emsp;systemServiceUrl|String|模块地址
&emsp;&emsp;packageName|String|包名称
&emsp;&emsp;packagePath|String|包的下载路径
&emsp;&emsp;packageVersion|String|包的版本
&emsp;&emsp;apiStatus|Integer|包的状态(1:启用,0:停用)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;lapseTime|Date|失效时间
&emsp;&emsp;packageRemark|String|包的说明

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除API服务

**请求URL:** system/service/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除API服务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/system/service/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 菜单信息业务

### 查询菜单信息业务列表

**请求URL:** menu/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询菜单信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单(0.非常用，1：常用)
&emsp;&emsp;menuType|Integer|菜单类型(0.主菜单，1.非主菜单)
&emsp;&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;linkType|object|字典属性对象，详见附录
&emsp;commMenu|object|字典属性对象，详见附录
&emsp;menuType|object|字典属性对象，详见附录
&emsp;authType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看菜单信息业务

**请求URL:** menu/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看菜单信息业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/menu/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|菜单ID，主键，自增长
&emsp;name|String|菜单名称
&emsp;url|String|连接地址
&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;orderId|Long|排序编号
&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;groupName|String|
&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;commMenu|Integer|是否常用菜单(0.非常用，1：常用)
&emsp;menuType|Integer|菜单类型(0.主菜单，1.非主菜单)
&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;createUserName|String|创建用户名称
dict|object|字典对象
&emsp;status|object|字典属性对象，详见附录
&emsp;linkType|object|字典属性对象，详见附录
&emsp;commMenu|object|字典属性对象，详见附录
&emsp;menuType|object|字典属性对象，详见附录
&emsp;authType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7975,
            "name":"2xmjn8",
            "url":"mggze8",
            "parentId":8776,
            "orderId":8018,
            "status":2651,
            "linkType":6832,
            "groupId":2070,
            "groupName":"07j98g",
            "imgPath":"u1axwc",
            "buttonImgPath":"rs408h",
            "imgCommPath":"0r02zf",
            "commMenu":38,
            "menuType":4832,
            "authType":138,
            "createTime":"2022-06-01",
            "createUserId":5108,
            "createUserName":"ycfwxu"
        }
}
```

### 保存更新菜单信息业务

**请求URL:** menu/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新菜单信息业务：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
name|String|是|菜单名称
url|String|是|连接地址
parentId|Long|是|父菜单ID，一级菜单的该字段值为-1
orderId|Long|是|排序编号
status|Integer|是|菜单状态(0.禁用，1.启用)
linkType|Integer|是|链接方式，(0.普通，1.弹出，2.脚本)
groupId|Long|是|分组编号，使用菜单分隔符按该值分隔，默认1
groupName|String|是|
imgPath|String|是|主菜单图标，主菜单图标的css样式名
buttonImgPath|String|是|按钮图标，按钮图标的css样式名
imgCommPath|String|是|常用菜单图标，常用菜单图标的css样式名
commMenu|Integer|是|是否常用菜单(0.非常用，1：常用)
menuType|Integer|是|菜单类型(0.主菜单，1.非主菜单)
authType|Integer|是|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
createUserName|String|是|创建用户名称

**请求样例:**
```
{
    "name":"skvc3m",
    "url":"7bjfvi",
    "parentId":8397,
    "orderId":5986,
    "status":7017,
    "linkType":7560,
    "groupId":7989,
    "groupName":"c3fvyb",
    "imgPath":"dnmzmd",
    "buttonImgPath":"2lilan",
    "imgCommPath":"2n50yf",
    "commMenu":3521,
    "menuType":5729,
    "authType":1358,
    "createUserName":"p1zfvk"
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|菜单ID，主键，自增长
&emsp;&emsp;name|String|菜单名称
&emsp;&emsp;url|String|连接地址
&emsp;&emsp;parentId|Long|父菜单ID，一级菜单的该字段值为-1
&emsp;&emsp;orderId|Long|排序编号
&emsp;&emsp;status|Integer|菜单状态(0.禁用，1.启用)
&emsp;&emsp;linkType|Integer|链接方式，(0.普通，1.弹出，2.脚本)
&emsp;&emsp;groupId|Long|分组编号，使用菜单分隔符按该值分隔，默认1
&emsp;&emsp;groupName|String|
&emsp;&emsp;imgPath|String|主菜单图标，主菜单图标的css样式名
&emsp;&emsp;buttonImgPath|String|按钮图标，按钮图标的css样式名
&emsp;&emsp;imgCommPath|String|常用菜单图标，常用菜单图标的css样式名
&emsp;&emsp;commMenu|Integer|是否常用菜单(0.非常用，1：常用)
&emsp;&emsp;menuType|Integer|菜单类型(0.主菜单，1.非主菜单)
&emsp;&emsp;authType|Integer|权限类型(0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createUserName|String|创建用户名称

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除菜单信息业务

**请求URL:** menu/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除菜单信息业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/menu/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 系统模块

### 查询系统模块列表

**请求URL:** model/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询系统模块

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;modelName|String|系统模块名称
&emsp;&emsp;modelCode|String|模块编码
&emsp;&emsp;modelIcon|String|模块图标
&emsp;&emsp;modelUrl|String|地址
&emsp;&emsp;remark|String|备注信息
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看系统模块

**请求URL:** model/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看系统模块，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/model/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;modelName|String|系统模块名称
&emsp;modelCode|String|模块编码
&emsp;modelIcon|String|模块图标
&emsp;modelUrl|String|地址
&emsp;remark|String|备注信息
&emsp;sort|Integer|排序
&emsp;createTime|Date|创建时间
&emsp;createUserId|Long|创建用户
&emsp;updateTime|Date|修改时间
&emsp;updateUserId|Long|修改用户
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7228,
            "modelName":"7dxgjf",
            "modelCode":"lo088m",
            "modelIcon":"pb8o6i",
            "modelUrl":"h58wdr",
            "remark":"g01xj4",
            "sort":9478,
            "createTime":"2022-06-01",
            "createUserId":8075,
            "updateTime":"2022-06-01",
            "updateUserId":6048
        }
}
```

### 保存更新系统模块

**请求URL:** model/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新系统模块：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
modelName|String|是|系统模块名称
modelCode|String|是|模块编码
modelIcon|String|是|模块图标
modelUrl|String|是|地址
remark|String|是|备注信息
sort|Integer|是|排序

**请求样例:**
```
{
    "modelName":"wgqvro",
    "modelCode":"k8mi80",
    "modelIcon":"x8cbns",
    "modelUrl":"oh4vu1",
    "remark":"9u71o9",
    "sort":8394,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;modelName|String|系统模块名称
&emsp;&emsp;modelCode|String|模块编码
&emsp;&emsp;modelIcon|String|模块图标
&emsp;&emsp;modelUrl|String|地址
&emsp;&emsp;remark|String|备注信息
&emsp;&emsp;sort|Integer|排序
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;updateTime|Date|修改时间
&emsp;&emsp;updateUserId|Long|修改用户

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除系统模块

**请求URL:** model/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除系统模块

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/model/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 操作日志业务

### 查询操作日志业务列表

**请求URL:** oper/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;platformMark|String|平台标识
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;userName|String|用户名称
&emsp;&emsp;loginName|String|用户登录名
&emsp;&emsp;requestUrl|String|请求地址
&emsp;&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;&emsp;ip|String|操作IP地址
&emsp;&emsp;logDate|Date|操作时间
&emsp;&emsp;operType|Integer|操作类型，(0.新增,1.修改,2.删除)
dict|object|字典对象
&emsp;operType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看操作日志业务

**请求URL:** oper/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看操作日志业务，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/oper/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;platformMark|String|平台标识
&emsp;userId|Long|用户id
&emsp;userName|String|用户名称
&emsp;loginName|String|用户登录名
&emsp;requestUrl|String|请求地址
&emsp;content|String|操作内容，记录操作具体信息，如修改前修改或的数据
&emsp;ip|String|操作IP地址
&emsp;logDate|Date|操作时间
&emsp;operType|Integer|操作类型，(0.新增,1.修改,2.删除)
dict|object|字典对象
&emsp;operType|object|字典属性对象，详见附录

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4790,
            "platformMark":"l5gry2",
            "userId":3910,
            "userName":"9hv9qg",
            "loginName":"3eep9k",
            "requestUrl":"r0ohr4",
            "content":"7wvgpb",
            "ip":"9g5nrc",
            "logDate":"2022-06-01",
            "operType":6946
        }
}
```


### 删除操作日志业务

**请求URL:** oper/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除操作日志业务

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/oper/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
### userType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统用户|-
1|普通用户|-
2|工作人员|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|停用|-
1|正常|-
2|冻结|-
3|销户|-
4|离职|-
### validStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|禁用|-
1|启用|-
### modStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|隐藏|-
1|页面仅查看|-
2|页面可修改|-
3|页面可删除|-
4|页面可修改删除|-
### displayType
字典参数key|字典参数值|其它
:---|:---|:---
0|普通文本框|-
1|多行文本框|-
2|开关|-
3|块输入框|-
### authType
字典参数key|字典参数值|其它
:---|:---|:---
0|无限制|-
1|无需登录查看|-
2|需要登录查看|-
3|需要角色权限查看|-
### sourceType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统资源|-
1|开放资源|-
### userType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统用户|-
1|代理商用户|-
2|品牌商用户|-
### roleType
字典参数key|字典参数值|其它
:---|:---|:---
0|系统内置角色|-
1|默认系统角色|-
2|普通角色|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
1|执行中|-
### excuteStrategy
字典参数key|字典参数值|其它
:---|:---|:---
1|按日|-
2|按周|-
3|按月|-
4|按间隔时间|-
### interimExcuteStatus
字典参数key|字典参数值|其它
:---|:---|:---
0|未启用|-
1|立即执行并保留|-
2|立即执行并删除|-
### fileType
字典参数key|字典参数值|其它
:---|:---|:---
1|excel|-
2|img|-
3|zip|-
4|pdf|-
### type
字典参数key|字典参数值|其它
:---|:---|:---
0|图片校验|-
1|手机校验|-
2|邮箱校验|-
### status
字典参数key|字典参数值|其它
:---|:---|:---
0|禁用|-
1|启用|-
### linkType
字典参数key|字典参数值|其它
:---|:---|:---
0|普通|-
1|弹出|-
2|脚本|-
### commMenu
字典参数key|字典参数值|其它
:---|:---|:---
0|非常用|-
### menuType
字典参数key|字典参数值|其它
:---|:---|:---
0|主菜单|-
1|非主菜单|-
### authType
字典参数key|字典参数值|其它
:---|:---|:---
0|无限制|-
1|无需登录查看|-
2|需要登录查看|-
3|需要角色权限查看|-
### operType
字典参数key|字典参数值|其它
:---|:---|:---
0|新增|-
1|修改|-
2|删除|-
